summaryrefslogtreecommitdiffstats
path: root/deps
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 15:09:16 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 15:09:16 +0100
commit8d7dd4892e8aa73ce7c3ea73f48a5274e48f5428 (patch)
treef3e3dc663a60572cf6a7feb61af560b83ac81221 /deps
parenteb82fdc2eafc3d1b5f837fcda2c4903106d9d79a (diff)
downloadktown-8d7dd4892e8aa73ce7c3ea73f48a5274e48f5428.tar.gz
ktown-8d7dd4892e8aa73ce7c3ea73f48a5274e48f5428.tar.xz
KDE 4.9.5 for Slackware 14.0 (02jan2013)4.9.5
Diffstat (limited to 'deps')
-rwxr-xr-xdeps/akonadi/akonadi.SlackBuild116
-rw-r--r--deps/akonadi/doinst.sh.gzbin0 -> 110 bytes
-rw-r--r--deps/akonadi/slack-desc19
-rw-r--r--deps/libkolab/.url2
-rwxr-xr-xdeps/libkolab/libkolab.SlackBuild118
-rw-r--r--deps/libkolab/slack-desc19
-rw-r--r--deps/libkolabxml/.url2
-rwxr-xr-xdeps/libkolabxml/libkolabxml.SlackBuild118
-rw-r--r--deps/libkolabxml/slack-desc19
-rw-r--r--deps/qt/Qt.pc16
-rw-r--r--deps/qt/README9
-rw-r--r--deps/qt/doinst.sh.gzbin0 -> 150 bytes
-rw-r--r--deps/qt/profile.d/qt4.csh22
-rw-r--r--deps/qt/profile.d/qt4.sh23
-rwxr-xr-xdeps/qt/qt.SlackBuild287
-rw-r--r--deps/qt/qt.ld-gold.patch.gzbin0 -> 458 bytes
-rw-r--r--deps/qt/qt.mysql.h.diff.gzbin0 -> 277 bytes
-rw-r--r--deps/qt/qt.webkit-no_Werror.patch.gzbin0 -> 479 bytes
-rw-r--r--deps/qt/slack-desc19
-rwxr-xr-xdeps/shared-desktop-ontologies/shared-desktop-ontologies.SlackBuild114
-rw-r--r--deps/shared-desktop-ontologies/slack-desc19
-rw-r--r--deps/soprano/slack-desc19
-rwxr-xr-xdeps/soprano/soprano.SlackBuild111
-rw-r--r--deps/soprano/soprano_tcpclient_stub.diff196
-rwxr-xr-xdeps/updates.SlackBuild48
-rw-r--r--deps/virtuoso-ose/doinst.sh.gzbin0 -> 267 bytes
-rw-r--r--deps/virtuoso-ose/slack-desc19
-rwxr-xr-xdeps/virtuoso-ose/virtuoso-ose.SlackBuild117
28 files changed, 1432 insertions, 0 deletions
diff --git a/deps/akonadi/akonadi.SlackBuild b/deps/akonadi/akonadi.SlackBuild
new file mode 100755
index 0000000..fe36ea4
--- /dev/null
+++ b/deps/akonadi/akonadi.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for akonadi
+
+# Copyright 2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=akonadi
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# If we do not specify the correct QT_PLUGINS_DIR, then the application
+# decides on using $QT4DIR/qt4/plugins instead.
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DINSTALL_QSQLITE_IN_QT_PREFIX:BOOL=ON \
+ -DQT_PLUGINS_DIR=/usr/lib$LIBDIRSUFFIX/qt/plugins \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS INSTALL README lgpl-license \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/akonadi/doinst.sh.gz b/deps/akonadi/doinst.sh.gz
new file mode 100644
index 0000000..bedb7a0
--- /dev/null
+++ b/deps/akonadi/doinst.sh.gz
Binary files differ
diff --git a/deps/akonadi/slack-desc b/deps/akonadi/slack-desc
new file mode 100644
index 0000000..d0c26bb
--- /dev/null
+++ b/deps/akonadi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+akonadi: akonadi (PIM storage service)
+akonadi:
+akonadi: akonadi is an extensible cross-desktop storage service for PIM data
+akonadi: and meta data providing concurrent read, write, and query access.
+akonadi: It will provide a unique desktop wide object identification and
+akonadi: retrieval.
+akonadi:
+akonadi: Homepage: http://www.kdepim.org/akonadi/
+akonadi:
+akonadi:
+akonadi:
diff --git a/deps/libkolab/.url b/deps/libkolab/.url
new file mode 100644
index 0000000..ddcdab1
--- /dev/null
+++ b/deps/libkolab/.url
@@ -0,0 +1,2 @@
+http://mirror.kolabsys.com/pub/releases/
+
diff --git a/deps/libkolab/libkolab.SlackBuild b/deps/libkolab/libkolab.SlackBuild
new file mode 100755
index 0000000..8ca3788
--- /dev/null
+++ b/deps/libkolab/libkolab.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Copyright 2012 Eric Hameleers, Eindhoven, NL
+# Copyright 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=libkolab
+VERSION=${VERSION:-0.4.0}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+PY_SITEARCH=$(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
+cd $PKGNAM-${VERSION}* || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DINCLUDE_INSTALL_DIR=/usr/include \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DPHP_BINDINGS=ON \
+ -DPHP_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX}/php/extensions \
+ -DPYTHON_BINDINGS=ON \
+ -DPYTHON_INSTALL_DIR=${PY_SITEARCH} \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ DEVELOPMENT NEWS README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/php/
+cp -a usr/lib${LIBDIRSUFFIX}/php/extensions/*.php \
+ $PKG/usr/doc/$PKGNAM-$VERSION/php/
+cat >$PKG/usr/doc/$PKGNAM-$VERSION/php-kolab.ini <<EOF
+extension=kolabcalendaring.so
+extension=kolabicalendar.so
+extension=kolabshared.so
+EOF
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/libkolab/slack-desc b/deps/libkolab/slack-desc
new file mode 100644
index 0000000..d737f07
--- /dev/null
+++ b/deps/libkolab/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libkolab: libkolab (kolab object handling library)
+libkolab:
+libkolab: Libkolab provides advanced calendaring functionality including:
+libkolab: recurrence handling
+libkolab: timezone handling
+libkolab: iTip/iMip parsing/generating
+libkolab: Freebusy generating
+libkolab: The kdepim libraries are used to implement most of the functionality.
+libkolab:
+libkolab: Homepage: http://www.kolab.org/about/libkolab
+libkolab:
diff --git a/deps/libkolabxml/.url b/deps/libkolabxml/.url
new file mode 100644
index 0000000..ddcdab1
--- /dev/null
+++ b/deps/libkolabxml/.url
@@ -0,0 +1,2 @@
+http://mirror.kolabsys.com/pub/releases/
+
diff --git a/deps/libkolabxml/libkolabxml.SlackBuild b/deps/libkolabxml/libkolabxml.SlackBuild
new file mode 100755
index 0000000..a357b1b
--- /dev/null
+++ b/deps/libkolabxml/libkolabxml.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Copyright 2012 Eric Hameleers, Eindhoven, NL
+# Copyright 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=libkolabxml
+VERSION=${VERSION:-0.8.1}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+PY_SITEARCH=$(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
+cd $PKGNAM-${VERSION}* || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DINCLUDE_INSTALL_DIR=/usr/include \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DJAVA_BINDINGS=ON \
+ -DJAVA_INSTALL_DIR=/usr/share/$PKGNAM/java/ \
+ -DPHP_BINDINGS=ON \
+ -DPHP_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX}/php/extensions \
+ -DPYTHON_BINDINGS=ON \
+ -DPYTHON_INSTALL_DIR=${PY_SITEARCH} \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ DEVELOPMENT NEWS README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/php/
+cp -a usr/lib${LIBDIRSUFFIX}/php/extensions/kolabformat.php \
+ $PKG/usr/doc/$PKGNAM-$VERSION/php
+cat >$PKG/usr/doc/$PKGNAM-$VERSION/php-kolabformat.ini <<EOF
+extension=kolabformat.so
+EOF
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/libkolabxml/slack-desc b/deps/libkolabxml/slack-desc
new file mode 100644
index 0000000..36d61b9
--- /dev/null
+++ b/deps/libkolabxml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libkolabxml: libkolabxml (Kolab XML Format Schema Definitions Library)
+libkolabxml:
+libkolabxml: The Kolab XML Format was rebased on the existing xCal/xCard
+libkolabxml: standards. To ease client implementation and to improve
+libkolabxml: interoperability libkolabxml was developed, which serves as
+libkolabxml: a serialization/de-serialization library.
+libkolabxml: This library can be used from several languages through bindings.
+libkolabxml:
+libkolabxml:
+libkolabxml: Homepage: http://www.kolab.org/about/libkolabxml
+libkolabxml:
diff --git a/deps/qt/Qt.pc b/deps/qt/Qt.pc
new file mode 100644
index 0000000..f4c0d59
--- /dev/null
+++ b/deps/qt/Qt.pc
@@ -0,0 +1,16 @@
+prefix=/usr/lib${LIBDIRSUFFIX}/qt
+bindir=${prefix}/bin
+datadir=${prefix}
+docdir=${prefix}/doc
+headerdir=${prefix}/include
+importdir=${prefix}/imports
+libdir=${prefix}/lib
+moc=${bindir}/moc
+plugindir=${prefix}/plugins
+qmake=${bindir}/qmake
+sysconfdir=/etc
+translationdir=${prefix}/translations
+
+Name: Qt
+Description: Qt Configuration
+Version: 4.8.1
diff --git a/deps/qt/README b/deps/qt/README
new file mode 100644
index 0000000..9bbcb34
--- /dev/null
+++ b/deps/qt/README
@@ -0,0 +1,9 @@
+qt-<version>_<git revision> is actually KDE's version of Qt from git
+that includes important patches not yet present in mainline Qt.
+
+The recommended version of Qt for KDE may be obtained from the
+repository with this command:
+
+git clone git://gitorious.org/+kde-developers/qt/kde-qt.git
+
+(see the SlackBuild for more details)
diff --git a/deps/qt/doinst.sh.gz b/deps/qt/doinst.sh.gz
new file mode 100644
index 0000000..8585e7a
--- /dev/null
+++ b/deps/qt/doinst.sh.gz
Binary files differ
diff --git a/deps/qt/profile.d/qt4.csh b/deps/qt/profile.d/qt4.csh
new file mode 100644
index 0000000..6e2c726
--- /dev/null
+++ b/deps/qt/profile.d/qt4.csh
@@ -0,0 +1,22 @@
+#!/bin/csh
+# Environment path variables for the Qt package:
+if ( ! $?QT4DIR ) then
+ # It's best to use the generic directory to avoid
+ # compiling in a version-containing path:
+ if ( -d /usr/lib/qt ) then
+ setenv QT4DIR /usr/lib/qt
+ else
+ # Find the newest Qt directory and set $QT4DIR to that:
+ foreach qtd ( /usr/lib/qt-* )
+ if ( -d $qtd ) then
+ setenv QT4DIR $qtd
+ endif
+ end
+ endif
+endif
+set path = ( $path $QT4DIR/bin )
+if ( $?CPLUS_INCLUDE_PATH ) then
+ setenv CPLUS_INCLUDE_PATH $QT4DIR/include:$CPLUS_INCLUDE_PATH
+else
+ setenv CPLUS_INCLUDE_PATH $QT4DIR/include
+endif
diff --git a/deps/qt/profile.d/qt4.sh b/deps/qt/profile.d/qt4.sh
new file mode 100644
index 0000000..5b4b830
--- /dev/null
+++ b/deps/qt/profile.d/qt4.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Environment variables for the Qt package.
+#
+# It's best to use the generic directory to avoid
+# compiling in a version-containing path:
+if [ -d /usr/lib/qt ]; then
+ QT4DIR=/usr/lib/qt
+else
+ # Find the newest Qt directory and set $QT4DIR to that:
+ for qtd in /usr/lib/qt-* ; do
+ if [ -d $qtd ]; then
+ QT4DIR=$qtd
+ fi
+ done
+fi
+if [ ! "$CPLUS_INCLUDE_PATH" = "" ]; then
+ CPLUS_INCLUDE_PATH=$QT4DIR/include:$CPLUS_INCLUDE_PATH
+else
+ CPLUS_INCLUDE_PATH=$QT4DIR/include
+fi
+PATH="$PATH:$QT4DIR/bin"
+export QT4DIR
+export CPLUS_INCLUDE_PATH
diff --git a/deps/qt/qt.SlackBuild b/deps/qt/qt.SlackBuild
new file mode 100755
index 0000000..a7a4e85
--- /dev/null
+++ b/deps/qt/qt.SlackBuild
@@ -0,0 +1,287 @@
+#!/bin/sh
+
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Merged some ideas from Alex Sarmardzic's script for qt4 at SlackBuilds.org
+# ^^ Modified by Robby Workman <rworkman@slackware.com> for QT4 & KDE4
+
+# We're using qt-copy instead of a released qt version, as this git release
+# has at least one bugfix strongly recommended by the kde developers.
+
+# Obtained from:
+# git clone git://gitorious.org/+kde-developers/qt/kde-qt.git
+# git checkout origin/4.5.3-patched
+# git checkout origin/4.6.0-stable-patched
+# git checkout origin/4.6.1-patched
+# git checkout origin/4.7.0-patched
+#
+# Alternate method (we don't use this):
+# wget http://qt.gitorious.org/qt/kde-qt/archive-tarball/4.6.2-patched
+#
+# Modifications 2010, 2011, 2012 Eric Hameleers, Eindhoven, NL
+# qt 4.7.3, 4.7.4, 4.8.0, 4.8.1, 4.8.2, 4.8.4 are built from original nokia sources.
+
+PKGNAM=qt
+VERSION=$(ls qt-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ # To prevent "qatomic_armv6.h error: output number 2 not directly addressable"
+ # More permanent solution is to patch gcc:
+ # http://bazaar.launchpad.net/~linaro-toolchain-dev/gcc-linaro/4.6/revision/106731
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16 -fno-strict-volatile-bitfields"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf qt-everywhere-opensource-src-$VERSION
+tar xvf $CWD/qt-everywhere-opensource-src-$VERSION.tar.xz # For qt releases
+cd qt-everywhere-opensource-src-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ $ARCH = "i486" ]; then
+ sed -i -e "s/QMAKE_CFLAGS_RELEASE += -O2/QMAKE_CFLAGS_RELEASE += $SLKCFLAGS/" mkspecs/common/gcc-base.conf || exit 1
+fi
+
+# Fix path to mysql header
+zcat $CWD/qt.mysql.h.diff.gz | patch -p1 --verbose || exit 1
+
+# gcc doesn't support flag "-fuse-ld=gold":
+zcat $CWD/qt.ld-gold.patch.gz | patch -p1 --verbose || exit 1
+
+# Stupid idea - remove it:
+zcat $CWD/qt.webkit-no_Werror.patch.gz | patch -p1 --verbose || exit 1
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
+./configure \
+ -confirm-license \
+ -opensource \
+ -prefix /usr/lib${LIBDIRSUFFIX}/qt \
+ -fast \
+ -system-libpng \
+ -system-libjpeg \
+ -system-zlib \
+ -system-sqlite \
+ -plugin-sql-sqlite \
+ -dbus \
+ -webkit \
+ -no-phonon \
+ -nomake examples \
+ -nomake demos \
+ -no-separate-debug-info \
+ -no-pch
+ # No-precompiled-headers is ccache-friendly.
+
+# Sometimes a failure happens when parallelizing make. Try again if make fails,
+# but make a failure the second time around (single threaded) a fatal error:
+make $NUMJOBS || make || exit 1
+make install INSTALL_ROOT=$PKG || exit 1
+
+# The infamous qt -> qt-${VERSION} link that keeps the full path out of .la files:
+( cd $PKG/usr/lib${LIBDIRSUFFIX} ; ln -sf qt qt-${VERSION} )
+
+# Add a missing Qt.pc which is needed by KDE applications:
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/qt/lib/pkgconfig
+cat <<EOF > $PKG/usr/lib${LIBDIRSUFFIX}/qt/lib/pkgconfig/Qt.pc
+prefix=/usr/lib${LIBDIRSUFFIX}/qt
+bindir=\${prefix}/bin
+datadir=\${prefix}
+docdir=\${prefix}/doc
+headerdir=\${prefix}/include
+importdir=\${prefix}/imports
+libdir=\${prefix}/lib
+moc=\${bindir}/moc
+plugindir=\${prefix}/plugins
+qmake=\${bindir}/qmake
+sysconfdir=\${prefix}/etc/settings
+translationdir=\${prefix}/translations
+
+Name: Qt
+Description: Qt Configuration
+Version: $VERSION
+EOF
+
+# libjscore is used internally. Prevent a false dependency on this in the .la and .pc files:
+sed -i "s,-ljscore,,g" $PKG/usr/lib${LIBDIRSUFFIX}/qt/lib/*.la $PKG/usr/lib${LIBDIRSUFFIX}/qt/lib/pkgconfig/*.pc
+sed -i "s,-L../JavaScriptCore/release,,g" $PKG/usr/lib${LIBDIRSUFFIX}/qt/lib/*.la $PKG/usr/lib${LIBDIRSUFFIX}/qt/lib/pkgconfig/*.pc
+
+# libwebcore is used internally. Prevent a false dependency on this in the .la and .pc files:
+sed -i "s#-L/usr/lib${LIBDIRSUFFIX}/qt/lib -L../../WebCore/release -L../../JavaScriptCore/release -L/usr/X11R6/lib$LIBDIRSUFFIX -lwebcore##g" $PKG/usr/lib${LIBDIRSUFFIX}/qt/lib/libQtWebKit.la $PKG/usr/lib${LIBDIRSUFFIX}/qt/lib/pkgconfig/QtWebKit.pc
+
+# Link the shared libraries into /usr/lib:
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ for file in qt/lib/*.so* ; do
+ ln -sf $file .
+ done
+)
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add profile scripts
+mkdir -p $PKG/etc/profile.d
+sed -e "s#usr/lib/#usr/lib${LIBDIRSUFFIX}/#g" $CWD/profile.d/qt4.sh \
+ > $PKG/etc/profile.d/qt4.sh
+sed -e "s#usr/lib/#usr/lib${LIBDIRSUFFIX}/#g" $CWD/profile.d/qt4.csh \
+ > $PKG/etc/profile.d/qt4.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+# Put a ton of links to more "normal" places. I'd just use a prefix of /usr, but it
+# creates a ton of new (and ambiguously named) /usr directories...
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/qt/bin
+ for file in * ; do
+ ( cd $PKG/usr/bin ; ln -sf /usr/lib${LIBDIRSUFFIX}/qt/bin/$file . )
+ done
+)
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/qt/lib/pkgconfig
+ for file in *.pc ; do
+ ( cd $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig ; ln -sf /usr/lib${LIBDIRSUFFIX}/qt/lib/pkgconfig/$file . )
+ done
+)
+
+# Add menu entries for all those hidden but great Qt applications:
+# Qt logo:
+convert $PKG/usr/lib$LIBDIRSUFFIX/qt/doc/src/images/qt-logo.png -resize 48x48 $PKG/usr/share/icons/hicolor/48x48/apps/qt-logo.png
+convert $PKG/usr/lib$LIBDIRSUFFIX/qt/doc/src/images/qt-logo.png -resize 48x48 $PKG/usr/share/icons/hicolor/48x48/apps/qt-logo.png
+# Assistant icons
+install -p -m644 -D tools/assistant/tools/assistant/images/assistant.png $PKG/usr/share/icons/hicolor/32x32/apps/assistant.png
+install -p -m644 -D tools/assistant/tools/assistant/images/assistant-128.png $PKG/usr/share/icons/hicolor/128x128/apps/assistant.png
+# Designer icon
+install -p -m644 -D tools/designer/src/designer/images/designer.png $PKG/usr/share/icons/hicolor/128x128/apps/designer.png
+# Linguist icons
+for icon in tools/linguist/linguist/images/icons/linguist-*-32.png ; do
+ size=$(echo $(basename ${icon}) | cut -d- -f2)
+ install -p -m644 -D ${icon} $PKG/usr/share/icons/hicolor/${size}x${size}/apps/linguist.png
+done
+
+# And the .desktop files
+mkdir -p $PKG/usr/share/applications
+cat <<EOF > $PKG/usr/share/applications/designer.desktop
+[Desktop Entry]
+Name=Qt4 Designer
+GenericName=Interface Designer
+Comment=Design GUIs for Qt4 applications
+Exec=designer
+Icon=designer
+MimeType=application/x-designer;
+Terminal=false
+Encoding=UTF-8
+Type=Application
+Categories=Qt;Development;
+EOF
+cat <<EOF > $PKG/usr/share/applications/assistant.desktop
+[Desktop Entry]
+Name=Qt4 Assistant
+Comment=Shows Qt4 documentation and examples
+Exec=assistant
+Icon=assistant
+Terminal=false
+Encoding=UTF-8
+Type=Application
+Categories=Qt;Development;Documentation;
+EOF
+cat <<EOF > $PKG/usr/share/applications/linguist.desktop
+[Desktop Entry]
+Name=Qt4 Linguist
+Comment=Add translations to Qt4 applications
+Exec=linguist
+Icon=linguist
+MimeType=text/vnd.trolltech.linguist;application/x-linguist;
+Terminal=false
+Encoding=UTF-8
+Type=Application
+Categories=Qt;Development;
+EOF
+cat <<EOF > $PKG/usr/share/applications/qtconfig.desktop
+[Desktop Entry]
+Name=Qt4 Config
+Comment=Configure Qt4 behavior, styles, fonts
+Exec=qtconfig
+Icon=qt-logo
+Terminal=false
+Encoding=UTF-8
+Type=Application
+Categories=Qt;Settings;
+EOF
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *GPL_EXCEPTION* FAQ* INSTALL KNOWN* LICENSE* README* changes-* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+( cd $PKG/usr/doc/$PKGNAM-$VERSION
+ ln -sf /usr/lib${LIBDIRSUFFIX}/qt/doc/html .
+)
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/qt/qt.ld-gold.patch.gz b/deps/qt/qt.ld-gold.patch.gz
new file mode 100644
index 0000000..5141d6c
--- /dev/null
+++ b/deps/qt/qt.ld-gold.patch.gz
Binary files differ
diff --git a/deps/qt/qt.mysql.h.diff.gz b/deps/qt/qt.mysql.h.diff.gz
new file mode 100644
index 0000000..2f4c61e
--- /dev/null
+++ b/deps/qt/qt.mysql.h.diff.gz
Binary files differ
diff --git a/deps/qt/qt.webkit-no_Werror.patch.gz b/deps/qt/qt.webkit-no_Werror.patch.gz
new file mode 100644
index 0000000..8e3f48c
--- /dev/null
+++ b/deps/qt/qt.webkit-no_Werror.patch.gz
Binary files differ
diff --git a/deps/qt/slack-desc b/deps/qt/slack-desc
new file mode 100644
index 0000000..f511d89
--- /dev/null
+++ b/deps/qt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qt: Qt (a multi-platform C++ graphical user interface toolkit)
+qt:
+qt: Qt is a complete and well-developed object-oriented framework for
+qt: developing graphical user interface (GUI) applications using C++.
+qt:
+qt: Homepage: http://qt.nokia.com
+qt:
+qt:
+qt:
+qt:
+qt:
diff --git a/deps/shared-desktop-ontologies/shared-desktop-ontologies.SlackBuild b/deps/shared-desktop-ontologies/shared-desktop-ontologies.SlackBuild
new file mode 100755
index 0000000..af2aaeb
--- /dev/null
+++ b/deps/shared-desktop-ontologies/shared-desktop-ontologies.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Copyright 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=shared-desktop-ontologies
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt \
+ PATH=$QTDIR/bin:$PATH \
+ cmake \
+ $KDE_OPT_ARGS \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE* README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/shared-desktop-ontologies/slack-desc b/deps/shared-desktop-ontologies/slack-desc
new file mode 100644
index 0000000..18412ab
--- /dev/null
+++ b/deps/shared-desktop-ontologies/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+shared-desktop-ontologies: shared-desktop-ontologies (Shared OSCAF desktop ontologies)
+shared-desktop-ontologies:
+shared-desktop-ontologies: The shared-desktop-ontologies package brings the semantic web to
+shared-desktop-ontologies: the desktop in terms of vocabulary. It contains the well known core
+shared-desktop-ontologies: ontologies such as RDF and RDFS as well as the Nepomuk ontologies
+shared-desktop-ontologies: which are used by projects like KDE or Strigi.
+shared-desktop-ontologies:
+shared-desktop-ontologies: Homepage: http://oscaf.sourceforge.net
+shared-desktop-ontologies:
+shared-desktop-ontologies:
+shared-desktop-ontologies:
diff --git a/deps/soprano/slack-desc b/deps/soprano/slack-desc
new file mode 100644
index 0000000..44327e0
--- /dev/null
+++ b/deps/soprano/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+soprano: soprano (C++/Qt4 framework for RDF data)
+soprano:
+soprano: Soprano (formally known as QRDF) is a library which provides
+soprano: a nice Qt interface to RDF storage solutions. It has a modular
+soprano: structure which allows to replace the actual RDF storage
+soprano: implementation used.
+soprano:
+soprano: Homepage: http://soprano.sourceforge.net/
+soprano:
+soprano:
+soprano:
diff --git a/deps/soprano/soprano.SlackBuild b/deps/soprano/soprano.SlackBuild
new file mode 100755
index 0000000..056e5e2
--- /dev/null
+++ b/deps/soprano/soprano.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Copyright 2007-2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+PKGNAM=soprano
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-soprano
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf soprano-$VERSION
+tar xvf $CWD/soprano-$VERSION.tar.bz2 || exit 1
+cd soprano-${VERSION}* || exit 1
+
+# Restore SC/BC with a stub implementation of tcpclient (fixes smokekde):
+# (fixed in soprano-2.7.57)
+#cat $CWD/soprano_tcpclient_stub.diff | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt \
+ PATH=$QTDIR/bin:$PATH \
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/soprano-$VERSION
+cp -a \
+ AUTHORS COPYING* ChangeLog INSTALL README TODO \
+ $PKG/usr/doc/soprano-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/soprano-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/soprano/soprano_tcpclient_stub.diff b/deps/soprano/soprano_tcpclient_stub.diff
new file mode 100644
index 0000000..2b04f66
--- /dev/null
+++ b/deps/soprano/soprano_tcpclient_stub.diff
@@ -0,0 +1,196 @@
+commit ed17a950a9c6f83590fa62cb97e7278ba7f3e234
+Author: Aaron Seigo <aseigo@kde.org>
+Date: Wed May 30 10:18:52 2012 +0200
+
+ restore SC / BC with a stub impl of tcpclient
+
+diff --git a/client/CMakeLists.txt b/client/CMakeLists.txt
+index 2689568..4e73e3c 100644
+--- a/client/CMakeLists.txt
++++ b/client/CMakeLists.txt
+@@ -14,6 +14,8 @@ include_directories(
+ )
+
+ set(soprano_client_SRC
++ ${soprano_server_SOURCE_DIR}/datastream.cpp
++ tcpclient.cpp
+ socket.cpp
+ socketstream.cpp
+ localsocketclient.cpp
+@@ -94,6 +96,7 @@ INSTALL(TARGETS sopranoclient
+
+ install(
+ FILES
++ tcpclient.h
+ localsocketclient.h
+ DESTINATION include/soprano
+ )
+diff --git a/client/tcpclient.cpp b/client/tcpclient.cpp
+index 796ca59..01dce0e 100644
+--- a/client/tcpclient.cpp
++++ b/client/tcpclient.cpp
+@@ -33,151 +33,58 @@ Q_DECLARE_METATYPE( QAbstractSocket::SocketError )
+ const quint16 Soprano::Client::TcpClient::DEFAULT_PORT = 5000;
+
+
+-namespace Soprano {
+- namespace Client {
+- class TcpClientConnection : public ClientConnection
+- {
+- public:
+- TcpClientConnection( const QHostAddress& address, int port, QObject* parent );
+- ~TcpClientConnection();
+-
+- protected:
+- QIODevice* newConnection();
+- bool isConnected( QIODevice* );
+-
+- private:
+- QHostAddress m_address;
+- int m_port;
+- };
+-
+- TcpClientConnection::TcpClientConnection( const QHostAddress& address, int port, QObject* parent )
+- : ClientConnection( parent ),
+- m_address( address ),
+- m_port( port )
+- {
+- }
+-
+- TcpClientConnection::~TcpClientConnection()
+- {
+- }
+-
+- QIODevice* TcpClientConnection::newConnection()
+- {
+- clearError();
+-
+- QTcpSocket* socket = new QTcpSocket;
+- socket->connectToHost( m_address, m_port );
+- if ( socket->waitForConnected() ) {
+- QObject::connect( socket, SIGNAL(error(QAbstractSocket::SocketError)),
+- parent(), SLOT(slotError(QAbstractSocket::SocketError)) );
+- return socket;
+- }
+- else {
+- setError( socket->errorString() );
+- delete socket;
+- return 0;
+- }
+- }
+-
+- bool TcpClientConnection::isConnected( QIODevice* device ) {
+- return device ? ( static_cast<QTcpSocket*>( device )->state() == QAbstractSocket::ConnectedState ) : false;
+- }
+- }
+-}
+-
+-
+-class Soprano::Client::TcpClient::Private
+-{
+-public:
+- Private()
+- : connection( 0 ) {
+- }
+-
+- TcpClientConnection* connection;
+-};
+-
+-
+ Soprano::Client::TcpClient::TcpClient( QObject* parent )
+ : QObject( parent ),
+- d( new Private() )
++ d( 0 )
+ {
+- qRegisterMetaType<QAbstractSocket::SocketError>();
++ qWarning() << "This class is deprecated, and the implementation is only a stub now. DO NOT USE IT IN YOUR APPLICATION.";
+ }
+
+
+ Soprano::Client::TcpClient::~TcpClient()
+ {
+- disconnect();
+- delete d;
++ //delete d;
+ }
+
+
+ bool Soprano::Client::TcpClient::connect( const QHostAddress& address, int port )
+ {
+- if ( !isConnected() ) {
+- if ( !d->connection )
+- d->connection = new TcpClientConnection( address, port, this );
+- if ( d->connection->connect() &&
+- d->connection->checkProtocolVersion() ) {
+- return true;
+- }
+- else {
+- disconnect();
+- return false;
+- }
+- }
+- else {
+- setError( "Already connected" );
+- return false;
+- }
++ Q_UNUSED(address)
++ Q_UNUSED(port)
++ return false;
+ }
+
+
+ bool Soprano::Client::TcpClient::isConnected()
+ {
+- return d->connection ? d->connection->isConnected() : false;
++ return false;
+ }
+
+
+ void Soprano::Client::TcpClient::disconnect()
+ {
+- delete d->connection;
+- d->connection = 0;
+ }
+
+
+ Soprano::Model* Soprano::Client::TcpClient::createModel( const QString& name, const QList<BackendSetting>& settings )
+ {
+- if ( d->connection ) {
+- int modelId = d->connection->createModel( name, settings );
+- setError( d->connection->lastError() );
+- if ( modelId > 0 ) {
+- StorageModel* model = new ClientModel( 0, modelId, d->connection );
+- return model;
+- }
+- }
+- else {
+- setError( "Not connected" );
+- }
+-
++ Q_UNUSED(name)
++ Q_UNUSED(settings)
++ setError( "Not connected" );
+ return 0;
+ }
+
+
+ void Soprano::Client::TcpClient::removeModel( const QString& name )
+ {
+- if ( d->connection ) {
+- d->connection->removeModel( name );
+- setError( d->connection->lastError() );
+- }
+- else {
+- setError( "Not connected" );
+- }
++ Q_UNUSED(name)
++ setError( "Not connected" );
+ }
+
+
+ void Soprano::Client::TcpClient::slotError( QAbstractSocket::SocketError error )
+ {
++ Q_UNUSED(error)
+ qDebug() << "Error: " << error;
+ }
+
diff --git a/deps/updates.SlackBuild b/deps/updates.SlackBuild
new file mode 100755
index 0000000..b38924d
--- /dev/null
+++ b/deps/updates.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Build (and install) all KDE dependencies
+# Modified from the KDE Slackware script by Eric Hameleers <alien@slackware.com>
+
+# Set initial variables:
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+
+# Set the config option variables if they are not already set:
+[ -r ./alldeps.options ] && . ./alldeps.options
+
+# This avoids compiling a version number into KDE's .la files:
+QTDIR=/usr/lib${LIBDIRSUFFIX}/qt ; export QTDIR
+
+ALLDEPS=" \
+ soprano \
+ akonadi \
+ shared-desktop-ontologies \
+ virtuoso-ose \
+ qt \
+ "
+
+# Allow for specification of individual packages to be built:
+if [ -z "$1" ]; then
+ MODQUEUE=$ALLDEPS
+else
+ MODQUEUE=$*
+fi
+
+for module in \
+ $MODQUEUE ;
+do
+ cd $module
+ ./$module.SlackBuild
+ if [ $? = 0 ]; then
+ # Yes, I will build with the fresh packages installed:
+ upgradepkg --install-new --reinstall ${TMP}/${module}-*.txz
+ # Keep MIME database current:
+ /usr/bin/update-mime-database /usr/share/mime 1> /dev/null 2> /dev/null &
+ rm -rf ${TMP}/package-${module} ${TMP}/${module}-$VERSION
+ else
+ echo "${module} failed to build."
+ exit 1
+ fi
+ cd - ;
+done
+
diff --git a/deps/virtuoso-ose/doinst.sh.gz b/deps/virtuoso-ose/doinst.sh.gz
new file mode 100644
index 0000000..f38046d
--- /dev/null
+++ b/deps/virtuoso-ose/doinst.sh.gz
Binary files differ
diff --git a/deps/virtuoso-ose/slack-desc b/deps/virtuoso-ose/slack-desc
new file mode 100644
index 0000000..dd37d0c
--- /dev/null
+++ b/deps/virtuoso-ose/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+virtuoso-ose: virtuoso-ose (A high-performance object-relational SQL database)
+virtuoso-ose:
+virtuoso-ose: Virtuoso is a scalable cross-platform server that combines
+virtuoso-ose: SQL/RDF/XML Data Management with Web Application Server
+virtuoso-ose: and Web Services Platform functionality.
+virtuoso-ose:
+virtuoso-ose:
+virtuoso-ose:
+virtuoso-ose:
+virtuoso-ose: Homepage: http://virtuoso.openlinksw.com/wiki/main/
+virtuoso-ose:
diff --git a/deps/virtuoso-ose/virtuoso-ose.SlackBuild b/deps/virtuoso-ose/virtuoso-ose.SlackBuild
new file mode 100755
index 0000000..ac196cf
--- /dev/null
+++ b/deps/virtuoso-ose/virtuoso-ose.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Copyright 2009, 2010, 2011, 2012 Eric Hameleers, Eindhoven, NL
+# Copyright 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=virtuoso-opensource
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:--j7}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-virtuoso-ose
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf virtuoso-opensource-$VERSION
+tar xvf $CWD/virtuoso-opensource-$VERSION.tar.xz || exit 1
+cd virtuoso-opensource-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure:
+# We disable building of all VADs because Slackware's version of Virtuoso is
+# only used as backend for the Soprano/Nepomuk desktop search.
+# This saves us a lot of megabytes.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-L/usr/lib${LIBDIRSUFFIX}" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/virtuoso-ose-$VERSION \
+ --with-pthreads \
+ --enable-aio \
+ --disable-static \
+ --disable-all-vads \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Do not clobber an existing .ini file:
+mkdir -p $PKG/etc
+mv $PKG/var/lib/virtuoso/db/virtuoso.ini $PKG/etc/virtuoso.ini.new
+ln -sf /etc/virtuoso.ini $PKG/var/lib/virtuoso/db/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/virtuoso-ose-$VERSION
+cp -a \
+ AUTHORS COPYING CREDITS LICENSE NEWS README* \
+ $PKG/usr/doc/virtuoso-ose-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/virtuoso-ose-$VERSION-$ARCH-$BUILD.txz
+